import type { Bundle, BundleNested, Message, ProjectSettings } from "@inlang/sdk";
import type { Compiled } from "./types.js";
export type CompiledBundleWithMessages = {
    /** The compilation result for the bundle index */
    bundle: Compiled<Bundle>;
    /** The compilation results for the languages */
    messages: {
        [locale: string]: Compiled<Message>;
    };
};
/**
 * Compiles all the messages in the bundle and returns an index-function + each compiled message
 */
export declare const compileBundle: (args: {
    bundle: BundleNested;
    fallbackMap: Record<string, string | undefined>;
    messageReferenceExpression: (locale: string, bundleId: string) => string;
    settings?: ProjectSettings;
}) => CompiledBundleWithMessages;
//# sourceMappingURL=compile-bundle.d.ts.map