/**
 * Set the locale.
 *
 * Set locale reloads the site by default on the client. Reloading
 * can be disabled by passing \`reload: false\` as an option. If
 * reloading is disabled, you need to ensure that the UI is updated
 * to reflect the new locale.
 *
 * @example
 *   setLocale('en');
 *
 * @example
 *   setLocale('en', { reload: false });
 *
 * @type {(newLocale: Locale, options?: { reload?: boolean }) => void}
 */
export let setLocale: (newLocale: Locale, options?: {
    reload?: boolean;
}) => void;
export function overwriteSetLocale(fn: (newLocale: Locale) => void): void;
//# sourceMappingURL=set-locale.d.ts.map